API referenceMedia storage
Connect an S3-compatible bucket
AuthorizationBearer <token>
Send Authorization: Bearer <token>. The token can be a login JWT from the frontend or an api-key for a script. JWT access comes from the person's organization role. Api-key access comes from the permissions saved on the key.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
accessKey*string
bucket*string
endpoint*string
S3 service endpoint. HTTPS is required except for trusted internal domains.
name*string
pathStyle*boolean
region*string
retentionDays*|
Format
int64Range
1 <= valuesecretKey*string
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/storage/buckets" \ -H "Content-Type: application/json" \ -d '{ "accessKey": "string", "bucket": "string", "endpoint": "string", "name": "string", "pathStyle": true, "region": "string", "retentionDays": 1, "secretKey": "string" }'{ "bucket": "string", "endpoint": "string", "id": "string", "name": "string", "pathStyle": true, "region": "string", "retentionDays": 0}{ "error": { "code": "not_found", "details": { "property1": null, "property2": null }, "message": "session not found" }}